summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2015-08-07 02:05:19 +0000
committerDavide Pesavento <pesa@gentoo.org>2015-08-07 02:05:19 +0000
commit39cf54977f598e99a1807dae642c0fbac2a8fa87 (patch)
tree872357f80db4ba4dc10ed048ea500a120a5fd1c3 /eclass
parentVersion bump. (diff)
downloadhistorical-39cf54977f598e99a1807dae642c0fbac2a8fa87.tar.gz
historical-39cf54977f598e99a1807dae642c0fbac2a8fa87.tar.bz2
historical-39cf54977f598e99a1807dae642c0fbac2a8fa87.zip
Fix bugs #549140 and #552942.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/qt5-build.eclass10
2 files changed, 13 insertions, 2 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 9a52ad693750..99a5bb66d620 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1748 2015/08/07 01:07:09 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1749 2015/08/07 02:05:19 pesa Exp $
+
+ 07 Aug 2015; Davide Pesavento <pesa@gentoo.org> qt5-build.eclass:
+ Fix bugs #549140 and #552942.
07 Aug 2015; Davide Pesavento <pesa@gentoo.org> qt5-build.eclass:
Allow passing arguments to qmake from ebuilds via the myqmakeargs array.
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index 83c103f83e12..8fed3db3dd8c 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt5-build.eclass,v 1.22 2015/08/07 01:07:09 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt5-build.eclass,v 1.23 2015/08/07 02:05:19 pesa Exp $
# @ECLASS: qt5-build.eclass
# @MAINTAINER:
@@ -195,6 +195,14 @@ qt5-build_src_prepare() {
find config.tests/unix -name '*.test' -type f \
-execdir sed -i -e '/bin\/qmake/ s/-nocache //' '{}' + \
|| die "sed failed (config.tests)"
+
+ # Don't add -O3 to CXXFLAGS (bug 549140)
+ sed -i -e '/CONFIG\s*+=/ s/optimize_full//' \
+ src/{corelib/corelib,gui/gui}.pro || die "sed failed (optimize_full)"
+
+ # Don't force sse2 on x86 (bug 552942)
+ sed -i -e 's/^sse2:/false:&/' \
+ mkspecs/features/qt_module.prf || die "sed failed (sse2)"
fi
# apply patches